Summary: A HTML template system.
Name: clearsilver
Version: 0.10.3
Release: 7%{?dist}
License: Apache Software License v1.1 derived
Group: System Environment/Libraries
URL: http://www.clearsilver.net/
Source0: http://www.clearsilver.net/downloads/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: autoconf, automake
BuildRequires: zlib-devel, python-devel, ruby-devel

%description
Clearsilver is a fast, powerful, and language-neutral HTML template
system. In both static content sites and dynamic HTML applications, it
provides a separation between presentation code and application logic
which makes working with your project easier.

%prep
%setup -q
grep -rl /usr/local . | xargs perl -pi -e's,/usr/local,%{_prefix},'
perl -pi -e's,\$\(PYTHON_SITE\),%{python_libdir},' python/Makefile

%build
CFLAGS="%{optflags} -fPIC"; export CFLAGS

cd perl
%perl_configure
cd ..

%configure \
	--enable-apache \
	--enable-python --with-python=`which python` \
	--disable-perl \
	--enable-ruby \
	--disable-java \
	--disable-csharp \
	--enable-gettext
make

%install
rm -rf %{buildroot}
cd perl
%perl_makeinstall
cd ..
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README* *LICENSE
%{_bindir}/cstest
%{_bindir}/static.cgi
%{_includedir}/ClearSilver
%{_libdir}/libneo_cgi.a
%{_libdir}/libneo_cs.a
%{_libdir}/libneo_utl.a
%{perl_vendorarch}/ClearSilver.pm
%{perl_vendorarch}/auto/ClearSilver
%{python_libdir}/neo_cgi.so
%{_mandir}/man3/*.3*

%changelog
* Mon May  8 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.10.3.

* Tue Dec 27 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.10.2.

* Sun Aug 21 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.10.1.

* Sat Jul  2 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.

